Bug 334158 - Digikam - Crash while tagging faces
Summary: Digikam - Crash while tagging faces
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Engine (show other bugs)
Version: 3.5.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2014-04-30 20:47 UTC by linux.tmc
Modified: 2019-12-23 06:21 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 7.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description linux.tmc 2014-04-30 20:47:50 UTC
Application: digikam (3.5.0)
KDE Platform Version: 4.13.0
Qt Version: 4.8.6
Operating System: Linux 3.13.0-24-generic i686
Distribution: Ubuntu 14.04 LTS

-- Information about the crash:
This is a repeated issue.  I attempt to tag a face by typing in the name or dragging to face tag.  Either way, digikam crashes.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xace1f900 (LWP 31723))]

Thread 12 (Thread 0xacdecb40 (LWP 31724)):
#0  0xb7734424 in __kernel_vsyscall ()
#1  0xb4b3d7ab in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xad99f442 in ?? () from /lib/i386-linux-gnu/libusb-1.0.so.0
#3  0xb323cf70 in start_thread (arg=0xacdecb40) at pthread_create.c:312
#4  0xb4b4c70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 11 (Thread 0xa9d61b40 (LWP 31725)):
#0  0xb7734424 in __kernel_vsyscall ()
#1  0xb4b47907 in syscall () at ../sysdeps/unix/sysv/linux/i386/syscall.S:29
#2  0xb4e3e4ec in _q_futex (val2=0, addr2=0x0, timeout=0x0, val=2, op=0, addr=0xa1025d8) at thread/qmutex_unix.cpp:99
#3  QMutexPrivate::wait (this=this@entry=0xa1025d8, timeout=timeout@entry=-1) at thread/qmutex_unix.cpp:113
#4  0xb4e3a6f8 in QMutex::lock (this=0xa13d210) at thread/qmutex.cpp:164
#5  0xb661c062 in Digikam::DatabaseAccess::DatabaseAccess (this=0xa9d60a5c) at /build/buildd/digikam-3.5.0/core/libs/database/databaseaccess.cpp:101
#6  0xb666b8d5 in Digikam::ImageScanner::uniqueHash (this=this@entry=0xa9d60b1c) at /build/buildd/digikam-3.5.0/core/libs/database/imagescanner.cpp:1507
#7  0xb667472c in Digikam::ImageScanner::loadFromDisk (this=this@entry=0xa9d60b1c) at /build/buildd/digikam-3.5.0/core/libs/database/imagescanner.cpp:1493
#8  0xb66748bc in Digikam::ImageScanner::newFile (this=this@entry=0xa9d60b1c, albumId=16) at /build/buildd/digikam-3.5.0/core/libs/database/imagescanner.cpp:266
#9  0xb66069db in Digikam::CollectionScanner::scanNewFile (this=0xa9d610cc, info=..., albumId=16) at /build/buildd/digikam-3.5.0/core/libs/database/collectionscanner.cpp:1247
#10 0xb660a49c in Digikam::CollectionScanner::scanAlbum (this=0xa9d610cc, location=..., album=...) at /build/buildd/digikam-3.5.0/core/libs/database/collectionscanner.cpp:1089
#11 0xb660a367 in Digikam::CollectionScanner::scanAlbum (this=0xa9d610cc, location=..., album=...) at /build/buildd/digikam-3.5.0/core/libs/database/collectionscanner.cpp:1112
#12 0xb660a367 in Digikam::CollectionScanner::scanAlbum (this=0xa9d610cc, location=..., album=...) at /build/buildd/digikam-3.5.0/core/libs/database/collectionscanner.cpp:1112
#13 0xb660a367 in Digikam::CollectionScanner::scanAlbum (this=0xa9d610cc, location=..., album=...) at /build/buildd/digikam-3.5.0/core/libs/database/collectionscanner.cpp:1112
#14 0xb660a367 in Digikam::CollectionScanner::scanAlbum (this=this@entry=0xa9d610cc, location=..., album=...) at /build/buildd/digikam-3.5.0/core/libs/database/collectionscanner.cpp:1112
#15 0xb660adde in Digikam::CollectionScanner::scanAlbumRoot (this=this@entry=0xa9d610cc, location=...) at /build/buildd/digikam-3.5.0/core/libs/database/collectionscanner.cpp:828
#16 0xb660c476 in Digikam::CollectionScanner::completeScan (this=this@entry=0xa9d610cc) at /build/buildd/digikam-3.5.0/core/libs/database/collectionscanner.cpp:489
#17 0x0820dadd in Digikam::ScanController::run (this=0xa123db0) at /build/buildd/digikam-3.5.0/core/digikam/database/scancontroller.cpp:756
#18 0xb4e3fb6f in QThreadPrivate::start (arg=0xa123db0) at thread/qthread_unix.cpp:349
#19 0xb323cf70 in start_thread (arg=0xa9d61b40) at pthread_create.c:312
#20 0xb4b4c70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 10 (Thread 0xa93ffb40 (LWP 31726)):
#0  0xb7734424 in __kernel_vsyscall ()
#1  0xb4b5a392 in __GI___clock_gettime (clock_id=1, tp=0xa93fee38) at ../sysdeps/unix/clock_gettime.c:115
#2  0xb4e9a8cc in do_gettime (frac=0xa93fee30, sec=0xa93fee28) at tools/qelapsedtimer_unix.cpp:127
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:144
#4  0xb4f832a2 in updateCurrentTime (this=0xa8a026e4) at kernel/qeventdispatcher_unix.cpp:354
#5  QTimerInfoList::timerWait (this=0xa8a026e4, tm=...) at kernel/qeventdispatcher_unix.cpp:460
#6  0xb4f8182b in timerSourcePrepareHelper (src=<optimized out>, timeout=0xa93fef2c) at kernel/qeventdispatcher_glib.cpp:143
#7  0xb4f818bd in timerSourcePrepare (source=0xa8a026b0, timeout=0xa93fef2c) at kernel/qeventdispatcher_glib.cpp:176
#8  0xb2e729b3 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0xb2e732df in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0xb2e73528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#11 0xb4f8195f in QEventDispatcherGlib::processEvents (this=0xa8a00468, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#12 0xb4f50823 in QEventLoop::processEvents (this=this@entry=0xa93ff098, flags=...) at kernel/qeventloop.cpp:149
#13 0xb4f50b49 in QEventLoop::exec (this=this@entry=0xa93ff098, flags=...) at kernel/qeventloop.cpp:204
#14 0xb4e3d23d in QThread::exec (this=this@entry=0xa11af08) at thread/qthread.cpp:537
#15 0xb4f30c44 in QInotifyFileSystemWatcherEngine::run (this=0xa11af08) at io/qfilesystemwatcher_inotify.cpp:265
#16 0xb4e3fb6f in QThreadPrivate::start (arg=0xa11af08) at thread/qthread_unix.cpp:349
#17 0xb323cf70 in start_thread (arg=0xa93ffb40) at pthread_create.c:312
#18 0xb4b4c70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 9 (Thread 0xa89ffb40 (LWP 31730)):
#0  0xb7734424 in __kernel_vsyscall ()
#1  0xb3240d4b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:187
#2  0xb4b598ec in __pthread_cond_wait (cond=0xa2ef9e8, mutex=0xa2ef9d0) at forward.c:149
#3  0xb4e400f5 in wait (time=4294967295, this=0xa2ef9d0) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=this@entry=0xa150b88, mutex=mutex@entry=0xa150b84, time=time@entry=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb6a4c2b4 in Digikam::ParkingThread::run (this=0xa150b78) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:119
#6  0xb4e3fb6f in QThreadPrivate::start (arg=0xa150b78) at thread/qthread_unix.cpp:349
#7  0xb323cf70 in start_thread (arg=0xa89ffb40) at pthread_create.c:312
#8  0xb4b4c70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 8 (Thread 0xa7cdab40 (LWP 31731)):
#0  0xb3240172 in __pthread_mutex_unlock_usercnt (mutex=0xa541e38, decr=1) at pthread_mutex_unlock.c:69
#1  0xb4b59b34 in pthread_mutex_unlock (mutex=0xa541e38) at forward.c:194
#2  0xb2eb8140 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2e72c88 in g_main_context_query () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2e73346 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb2e73528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb4f8195f in QEventDispatcherGlib::processEvents (this=0xa541f28, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#7  0xb4f50823 in QEventLoop::processEvents (this=this@entry=0xa7cda098, flags=...) at kernel/qeventloop.cpp:149
#8  0xb4f50b49 in QEventLoop::exec (this=this@entry=0xa7cda098, flags=...) at kernel/qeventloop.cpp:204
#9  0xb4e3d23d in QThread::exec (this=this@entry=0xa541bb8) at thread/qthread.cpp:537
#10 0xb4f30c44 in QInotifyFileSystemWatcherEngine::run (this=0xa541bb8) at io/qfilesystemwatcher_inotify.cpp:265
#11 0xb4e3fb6f in QThreadPrivate::start (arg=0xa541bb8) at thread/qthread_unix.cpp:349
#12 0xb323cf70 in start_thread (arg=0xa7cdab40) at pthread_create.c:312
#13 0xb4b4c70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 7 (Thread 0x94ba7b40 (LWP 31761)):
#0  0xb7734424 in __kernel_vsyscall ()
#1  0xb4b3b73b in read () at ../sysdeps/unix/syscall-template.S:81
#2  0xa7d116a8 in vio_read () from /usr/lib/i386-linux-gnu/libmysqlclient.so.18
#3  0xa7d11700 in vio_read_buff () from /usr/lib/i386-linux-gnu/libmysqlclient.so.18
#4  0xa7d009c0 in ?? () from /usr/lib/i386-linux-gnu/libmysqlclient.so.18
#5  0xa7d0157d in my_net_read () from /usr/lib/i386-linux-gnu/libmysqlclient.so.18
#6  0xa7cfa318 in cli_safe_read () from /usr/lib/i386-linux-gnu/libmysqlclient.so.18
#7  0xa7cfdeb4 in cli_advanced_command () from /usr/lib/i386-linux-gnu/libmysqlclient.so.18
#8  0xa7cf67da in ?? () from /usr/lib/i386-linux-gnu/libmysqlclient.so.18
#9  0xa9559035 in QMYSQLResult::exec (this=0xab99f68) at ../../../sql/drivers/mysql/qsql_mysql.cpp:937
#10 0xb76e7e60 in QSqlQuery::exec (this=this@entry=0x94ba6ad8) at kernel/qsqlquery.cpp:949
#11 0xb6a00431 in Digikam::DatabaseCoreBackend::exec (this=0xa063168, query=...) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:1414
#12 0xb6a004ef in Digikam::DatabaseCoreBackend::execQuery (this=this@entry=0xa063168, query=..., boundValue1=...) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:1056
#13 0xb6a01453 in Digikam::DatabaseCoreBackend::execQuery (this=this@entry=0xa063168, sql=..., boundValue1=...) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:1005
#14 0xb6a014b7 in Digikam::DatabaseCoreBackend::execSql (this=0xa063168, sql=..., boundValue1=..., values=values@entry=0x94ba6bd8, lastInsertId=lastInsertId@entry=0x0) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:902
#15 0xb65f08e3 in Digikam::AlbumDB::getImageInformation (this=0xa13bdc8, imageID=1964, fields=...) at /build/buildd/digikam-3.5.0/core/libs/database/albumdb.cpp:1605
#16 0xb6636beb in Digikam::ImageInfo::orientation (this=this@entry=0x94ba6c14) at /build/buildd/digikam-3.5.0/core/libs/database/imageinfo.cpp:735
#17 0xb662c325 in Digikam::DatabaseLoadSaveFileInfoProvider::orientationHint (this=0xcca1140, path=...) at /build/buildd/digikam-3.5.0/core/libs/database/databasethumbnailinfoprovider.cpp:82
#18 0xb6a1e514 in Digikam::LoadSaveThread::exifOrientation (filePath=..., metadata=..., isRaw=false, fromRawEmbeddedPreview=fromRawEmbeddedPreview@entry=false) at /build/buildd/digikam-3.5.0/core/libs/threadimageio/loadsavethread.cpp:284
#19 0xb6a33406 in Digikam::ThumbnailCreator::exifOrientation (this=0xa526a80, info=..., metadata=..., fromEmbeddedPreview=false, fromDetail=false) at /build/buildd/digikam-3.5.0/core/libs/threadimageio/thumbnailcreator.cpp:659
#20 0xb6a3529e in Digikam::ThumbnailCreator::createThumbnail (this=0xa526a80, info=..., detailRect=...) at /build/buildd/digikam-3.5.0/core/libs/threadimageio/thumbnailcreator.cpp:554
#21 0xb6a383c7 in Digikam::ThumbnailCreator::load (this=this@entry=0xa526a80, path=..., rect=..., pregenerate=pregenerate@entry=true) at /build/buildd/digikam-3.5.0/core/libs/threadimageio/thumbnailcreator.cpp:260
#22 0xb6a38e97 in Digikam::ThumbnailCreator::pregenerate (this=0xa526a80, path=...) at /build/buildd/digikam-3.5.0/core/libs/threadimageio/thumbnailcreator.cpp:183
#23 0xb6a47575 in Digikam::ThumbnailLoadingTask::execute (this=0xdcf3388) at /build/buildd/digikam-3.5.0/core/libs/threadimageio/thumbnailtask.cpp:82
#24 0xb6a1dcb8 in Digikam::LoadSaveThread::run (this=0xa434908) at /build/buildd/digikam-3.5.0/core/libs/threadimageio/loadsavethread.cpp:136
#25 0xb6a4e51e in Digikam::DynamicThread::DynamicThreadPriv::run (this=0xa52b1f8) at /build/buildd/digikam-3.5.0/core/libs/threads/dynamicthread.cpp:186
#26 0xb4e32f07 in QThreadPoolThread::run (this=0xb2d0988) at concurrent/qthreadpool.cpp:108
#27 0xb4e3fb6f in QThreadPrivate::start (arg=0xb2d0988) at thread/qthread_unix.cpp:349
#28 0xb323cf70 in start_thread (arg=0x94ba7b40) at pthread_create.c:312
#29 0xb4b4c70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 6 (Thread 0x9bbb5b40 (LWP 31795)):
#0  0xb7734424 in __kernel_vsyscall ()
#1  0xb4b5a392 in __GI___clock_gettime (clock_id=1, tp=0x9bbb4e28) at ../sysdeps/unix/clock_gettime.c:115
#2  0xb4e9a8cc in do_gettime (frac=0x9bbb4e20, sec=0x9bbb4e18) at tools/qelapsedtimer_unix.cpp:127
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:144
#4  0xb4f832a2 in updateCurrentTime (this=0xa8a1704c) at kernel/qeventdispatcher_unix.cpp:354
#5  QTimerInfoList::timerWait (this=0xa8a1704c, tm=...) at kernel/qeventdispatcher_unix.cpp:460
#6  0xb4f8182b in timerSourcePrepareHelper (src=<optimized out>, timeout=0x9bbb4f1c) at kernel/qeventdispatcher_glib.cpp:143
#7  0xb4f818bd in timerSourcePrepare (source=0xa8a17018, timeout=0x9bbb4f1c) at kernel/qeventdispatcher_glib.cpp:176
#8  0xb2e729b3 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0xb2e732df in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0xb2e73528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#11 0xb4f8195f in QEventDispatcherGlib::processEvents (this=0xa8a4efc8, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#12 0xb4f50823 in QEventLoop::processEvents (this=this@entry=0x9bbb5098, flags=...) at kernel/qeventloop.cpp:149
#13 0xb4f50b49 in QEventLoop::exec (this=this@entry=0x9bbb5098, flags=...) at kernel/qeventloop.cpp:204
#14 0xb6a4b882 in Digikam::WorkerObjectRunnable::run (this=0xe385ee0) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#15 0xb4e32f07 in QThreadPoolThread::run (this=0xb2cf488) at concurrent/qthreadpool.cpp:108
#16 0xb4e3fb6f in QThreadPrivate::start (arg=0xb2cf488) at thread/qthread_unix.cpp:349
#17 0xb323cf70 in start_thread (arg=0x9bbb5b40) at pthread_create.c:312
#18 0xb4b4c70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 5 (Thread 0xa0029b40 (LWP 31822)):
#0  0xb7734424 in __kernel_vsyscall ()
#1  0xb4b47907 in syscall () at ../sysdeps/unix/sysv/linux/i386/syscall.S:29
#2  0xb4e3e4ec in _q_futex (val2=0, addr2=0x0, timeout=0x0, val=2, op=0, addr=0xa1025d8) at thread/qmutex_unix.cpp:99
#3  QMutexPrivate::wait (this=this@entry=0xa1025d8, timeout=timeout@entry=-1) at thread/qmutex_unix.cpp:113
#4  0xb4e3a6f8 in QMutex::lock (this=0xa13d210) at thread/qmutex.cpp:164
#5  0xb661c062 in Digikam::DatabaseAccess::DatabaseAccess (this=0xa0028880) at /build/buildd/digikam-3.5.0/core/libs/database/databaseaccess.cpp:101
#6  0xb6678662 in Digikam::ImageTagPairPriv::checkProperties (this=0x8f0e9ee8) at /build/buildd/digikam-3.5.0/core/libs/database/imagetagpair.cpp:102
#7  0xb66795d8 in Digikam::ImageTagPair::removeProperty (this=this@entry=0xa0028a0c, key=..., value=...) at /build/buildd/digikam-3.5.0/core/libs/database/imagetagpair.cpp:307
#8  0xb66c46ea in Digikam::FaceTagsEditor::removeFaceAndTag (this=this@entry=0xa0028a8c, pair=..., face=..., touchTags=touchTags@entry=true) at /build/buildd/digikam-3.5.0/core/libs/database/faces/facetagseditor.cpp:380
#9  0xb66c5320 in Digikam::FaceTagsEditor::removeFaces (this=this@entry=0xa0028a8c, faces=...) at /build/buildd/digikam-3.5.0/core/libs/database/faces/facetagseditor.cpp:373
#10 0x083138c0 in Digikam::Trainer::process (this=this@entry=0xa401708, package=...) at /build/buildd/digikam-3.5.0/core/utilities/facemanagement/facepipeline.cpp:977
#11 0x08313d94 in Digikam::Trainer::qt_static_metacall (_o=0xa401708, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xa8ab65b0) at /build/buildd/digikam-3.5.0/obj-i686-linux-gnu/core/digikam/facepipeline_p.moc:579
#12 0xb4f638aa in QMetaCallEvent::placeMetaCall (this=0xa8a3db20, object=0xa401708) at kernel/qobject.cpp:524
#13 0xb4f6b6fb in QObject::event (this=this@entry=0xa401708, e=e@entry=0xa8a3db20) at kernel/qobject.cpp:1194
#14 0xb6a4d29c in Digikam::WorkerObject::event (this=0xa401708, e=0xa8a3db20) at /build/buildd/digikam-3.5.0/core/libs/threads/workerobject.cpp:160
#15 0xb54ad7f4 in QApplicationPrivate::notify_helper (this=0x9fd8210, receiver=0xa401708, e=0xa8a3db20) at kernel/qapplication.cpp:4567
#16 0xb54b42d3 in QApplication::notify (this=0xbfd9b028, receiver=receiver@entry=0xa401708, e=e@entry=0xa8a3db20) at kernel/qapplication.cpp:4353
#17 0xb5ffd0a4 in KApplication::notify (this=0xbfd9b028, receiver=0xa401708, event=0xa8a3db20) at ../../kdeui/kernel/kapplication.cpp:311
#18 0xb4f51e4a in QCoreApplication::notifyInternal (this=0xbfd9b028, receiver=receiver@entry=0xa401708, event=event@entry=0xa8a3db20) at kernel/qcoreapplication.cpp:953
#19 0xb4f5570d in sendEvent (event=0xa8a3db20, receiver=0xa401708) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#20 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0xb2cda20) at kernel/qcoreapplication.cpp:1577
#21 0xb4f55c1c in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1470
#22 0xb4f8223e in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#23 postEventSourceDispatch (s=0xa8af2f78) at kernel/qeventdispatcher_glib.cpp:287
#24 0xb2e731e3 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#25 0xb2e73468 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#26 0xb2e73528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#27 0xb4f8195f in QEventDispatcherGlib::processEvents (this=0x8f0eea98, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#28 0xb4f50823 in QEventLoop::processEvents (this=this@entry=0xa0029098, flags=...) at kernel/qeventloop.cpp:149
#29 0xb4f50b49 in QEventLoop::exec (this=this@entry=0xa0029098, flags=...) at kernel/qeventloop.cpp:204
#30 0xb6a4b882 in Digikam::WorkerObjectRunnable::run (this=0xaba6bf0) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#31 0xb4e32f07 in QThreadPoolThread::run (this=0xb2cd910) at concurrent/qthreadpool.cpp:108
#32 0xb4e3fb6f in QThreadPrivate::start (arg=0xb2cd910) at thread/qthread_unix.cpp:349
#33 0xb323cf70 in start_thread (arg=0xa0029b40) at pthread_create.c:312
#34 0xb4b4c70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 4 (Thread 0xa082ab40 (LWP 31824)):
#0  0xb323f18c in __GI___pthread_mutex_lock (mutex=0xa8a55cc8) at ../nptl/pthread_mutex_lock.c:125
#1  0xb4b59af4 in pthread_mutex_lock (mutex=0xa8a55cc8) at forward.c:192
#2  0xb2eb8100 in g_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2e73398 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2e73528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb4f8195f in QEventDispatcherGlib::processEvents (this=0xa8af2e08, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#6  0xb4f50823 in QEventLoop::processEvents (this=this@entry=0xa082a098, flags=...) at kernel/qeventloop.cpp:149
#7  0xb4f50b49 in QEventLoop::exec (this=this@entry=0xa082a098, flags=...) at kernel/qeventloop.cpp:204
#8  0xb6a4b882 in Digikam::WorkerObjectRunnable::run (this=0xa8a55ce8) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#9  0xb4e32f07 in QThreadPoolThread::run (this=0xb2cf198) at concurrent/qthreadpool.cpp:108
#10 0xb4e3fb6f in QThreadPrivate::start (arg=0xb2cf198) at thread/qthread_unix.cpp:349
#11 0xb323cf70 in start_thread (arg=0xa082ab40) at pthread_create.c:312
#12 0xb4b4c70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 3 (Thread 0x9f828b40 (LWP 31829)):
#0  0xb2eb7d3d in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xb2eb8138 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb2e72dbf in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2e7337a in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2e73528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb4f8195f in QEventDispatcherGlib::processEvents (this=0xa8a3dc88, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#6  0xb4f50823 in QEventLoop::processEvents (this=this@entry=0x9f828098, flags=...) at kernel/qeventloop.cpp:149
#7  0xb4f50b49 in QEventLoop::exec (this=this@entry=0x9f828098, flags=...) at kernel/qeventloop.cpp:204
#8  0xb6a4b882 in Digikam::WorkerObjectRunnable::run (this=0xa8a55f90) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#9  0xb4e32f07 in QThreadPoolThread::run (this=0xb2cd310) at concurrent/qthreadpool.cpp:108
#10 0xb4e3fb6f in QThreadPrivate::start (arg=0xb2cd310) at thread/qthread_unix.cpp:349
#11 0xb323cf70 in start_thread (arg=0x9f828b40) at pthread_create.c:312
#12 0xb4b4c70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 2 (Thread 0x88aaeb40 (LWP 31835)):
#0  0xb7734424 in __kernel_vsyscall ()
#1  0xb4b47907 in syscall () at ../sysdeps/unix/sysv/linux/i386/syscall.S:29
#2  0xb29d0762 in ?? () from /usr/lib/libtbb.so.2
#3  0xb29d078f in ?? () from /usr/lib/libtbb.so.2
#4  0xb323cf70 in start_thread (arg=0x88aaeb40) at pthread_create.c:312
#5  0xb4b4c70e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 1 (Thread 0xace1f900 (LWP 31723)):
[KCrash Handler]
#7  0x0824e1b2 in data (arole=37, this=0xdcda618) at /usr/include/qt4/QtCore/qabstractitemmodel.h:402
#8  Digikam::AssignNameOverlay::checkIndex (this=0xa524bb8, index=...) at /build/buildd/digikam-3.5.0/core/digikam/items/assignnameoverlay.cpp:239
#9  0xb6aa2232 in Digikam::AbstractWidgetDelegateOverlay::checkIndexOnEnter (this=0xa524bb8, index=...) at /build/buildd/digikam-3.5.0/core/libs/widgets/itemview/imagedelegateoverlay.cpp:282
#10 0xb6aa22d7 in Digikam::PersistentWidgetDelegateOverlay::slotEntered (this=0xa524bb8, index=...) at /build/buildd/digikam-3.5.0/core/libs/widgets/itemview/imagedelegateoverlay.cpp:577
#11 0xb6aa26a3 in Digikam::PersistentWidgetDelegateOverlay::setPersistent (this=0xa524bb8, persistent=false) at /build/buildd/digikam-3.5.0/core/libs/widgets/itemview/imagedelegateoverlay.cpp:536
#12 0xb6aa2843 in Digikam::PersistentWidgetDelegateOverlay::leavePersistentMode (this=this@entry=0xa524bb8) at /build/buildd/digikam-3.5.0/core/libs/widgets/itemview/imagedelegateoverlay.cpp:558
#13 0x0824eff4 in Digikam::AssignNameOverlay::eventFilter (this=0xa524bb8, o=0xa524a80, e=0xbfd99fb0) at /build/buildd/digikam-3.5.0/core/digikam/items/assignnameoverlay.cpp:349
#14 0xb4f51fbe in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=this@entry=0x9fd8210, receiver=receiver@entry=0xa524a80, event=event@entry=0xbfd99fb0) at kernel/qcoreapplication.cpp:1063
#15 0xb54ad7d1 in QApplicationPrivate::notify_helper (this=0x9fd8210, receiver=0xa524a80, e=0xbfd99fb0) at kernel/qapplication.cpp:4563
#16 0xb54b42d3 in QApplication::notify (this=0xbfd9b028, receiver=receiver@entry=0xa524a80, e=e@entry=0xbfd99fb0) at kernel/qapplication.cpp:4353
#17 0xb5ffd0a4 in KApplication::notify (this=0xbfd9b028, receiver=0xa524a80, event=0xbfd99fb0) at ../../kdeui/kernel/kapplication.cpp:311
#18 0xb4f51e4a in QCoreApplication::notifyInternal (this=0xbfd9b028, receiver=receiver@entry=0xa524a80, event=event@entry=0xbfd99fb0) at kernel/qcoreapplication.cpp:953
#19 0xb54b2351 in sendEvent (event=0xbfd99fb0, receiver=0xa524a80) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#20 QApplicationPrivate::setFocusWidget (focus=focus@entry=0xa3f8000, reason=reason@entry=Qt::MouseFocusReason) at kernel/qapplication.cpp:2268
#21 0xb5501b88 in QWidget::setFocus (this=this@entry=0xa3f8000, reason=reason@entry=Qt::MouseFocusReason) at kernel/qwidget.cpp:6464
#22 0xb54abe40 in QApplicationPrivate::giveFocusAccordingToFocusPolicy (widget=0xa529900, focusPolicy=focusPolicy@entry=Qt::ClickFocus, focusReason=focusReason@entry=Qt::MouseFocusReason) at kernel/qapplication.cpp:5601
#23 0xb54b5d60 in QApplication::notify (this=0xbfd9b028, receiver=receiver@entry=0xa529900, e=e@entry=0xbfd9a354) at kernel/qapplication.cpp:4067
#24 0xb5ffd0a4 in KApplication::notify (this=0xbfd9b028, receiver=0xa529900, event=0xbfd9a354) at ../../kdeui/kernel/kapplication.cpp:311
#25 0xb4f51e4a in QCoreApplication::notifyInternal (this=0xbfd9b028, receiver=receiver@entry=0xa529900, event=event@entry=0xbfd9a354) at kernel/qcoreapplication.cpp:953
#26 0xb54b3b53 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#27 QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0xa529900, event=0xbfd9a354, alienWidget=0xa529900, nativeWidget=0xa3f8000, buttonDown=buttonDown@entry=0xb5e24ce4 <qt_button_down>, lastMouseReceiver=..., spontaneous=spontaneous@entry=true) at kernel/qapplication.cpp:3178
#28 0xb5537778 in QETWidget::translateMouseEvent (this=0xa3f8000, event=event@entry=0xbfd9a57c) at kernel/qapplication_x11.cpp:4634
#29 0xb5536ec5 in QApplication::x11ProcessEvent (this=0xbfd9b028, event=event@entry=0xbfd9a57c) at kernel/qapplication_x11.cpp:3627
#30 0xb5562524 in x11EventSourceDispatch (s=0x9fd5478, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#31 0xb2e731e3 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#32 0xb2e73468 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#33 0xb2e73528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#34 0xb4f8193b in QEventDispatcherGlib::processEvents (this=this@entry=0x9f42f08, flags=...) at kernel/qeventdispatcher_glib.cpp:434
#35 0xb55625de in QGuiEventDispatcherGlib::processEvents (this=0x9f42f08, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#36 0xb4f50823 in QEventLoop::processEvents (this=this@entry=0xa119c60, flags=...) at kernel/qeventloop.cpp:149
#37 0xb4f50b49 in QEventLoop::exec (this=0xa119c60, flags=...) at kernel/qeventloop.cpp:204
#38 0x08209848 in Digikam::ScanController::completeCollectionScanCore (this=this@entry=0xa123db0, needTotalFiles=needTotalFiles@entry=true, defer=defer@entry=false) at /build/buildd/digikam-3.5.0/core/digikam/database/scancontroller.cpp:486
#39 0x08209980 in Digikam::ScanController::completeCollectionScanInBackground (this=0xa123db0, defer=defer@entry=false) at /build/buildd/digikam-3.5.0/core/digikam/database/scancontroller.cpp:471
#40 0x08149812 in Digikam::NewItemsFinder::slotStart (this=0xb920b20) at /build/buildd/digikam-3.5.0/core/utilities/maintenance/newitemsfinder.cpp:106
#41 0x08149be8 in Digikam::NewItemsFinder::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=<optimized out>, _c=<optimized out>) at /build/buildd/digikam-3.5.0/obj-i686-linux-gnu/core/digikam/newitemsfinder.moc:57
#42 0xb4f638aa in QMetaCallEvent::placeMetaCall (this=0xa11a010, object=0xb920b20) at kernel/qobject.cpp:524
#43 0xb4f6b6fb in QObject::event (this=0xb920b20, e=0xa11a010) at kernel/qobject.cpp:1194
#44 0xb54ad7f4 in QApplicationPrivate::notify_helper (this=0x9fd8210, receiver=0xb920b20, e=0xa11a010) at kernel/qapplication.cpp:4567
#45 0xb54b42d3 in QApplication::notify (this=0xbfd9b028, receiver=receiver@entry=0xb920b20, e=e@entry=0xa11a010) at kernel/qapplication.cpp:4353
#46 0xb5ffd0a4 in KApplication::notify (this=0xbfd9b028, receiver=0xb920b20, event=0xa11a010) at ../../kdeui/kernel/kapplication.cpp:311
#47 0xb4f51e4a in QCoreApplication::notifyInternal (this=0xbfd9b028, receiver=receiver@entry=0xb920b20, event=event@entry=0xa11a010) at kernel/qcoreapplication.cpp:953
#48 0xb4f5570d in sendEvent (event=0xa11a010, receiver=0xb920b20) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#49 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x9f6fd98) at kernel/qcoreapplication.cpp:1577
#50 0xb4f55c1c in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1470
#51 0xb4f8223e in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#52 postEventSourceDispatch (s=0x9fd4ac0) at kernel/qeventdispatcher_glib.cpp:287
#53 0xb2e731e3 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#54 0xb2e73468 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#55 0xb2e73528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#56 0xb4f8193b in QEventDispatcherGlib::processEvents (this=this@entry=0x9f42f08, flags=...) at kernel/qeventdispatcher_glib.cpp:434
#57 0xb55625de in QGuiEventDispatcherGlib::processEvents (this=0x9f42f08, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#58 0xb4f50823 in QEventLoop::processEvents (this=this@entry=0xbfd9ae58, flags=...) at kernel/qeventloop.cpp:149
#59 0xb4f50b49 in QEventLoop::exec (this=this@entry=0xbfd9ae58, flags=...) at kernel/qeventloop.cpp:204
#60 0xb4f568fe in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1225
#61 0xb54aba24 in QApplication::exec () at kernel/qapplication.cpp:3828
#62 0x080bc190 in main (argc=5, argv=0xbfd9b164) at /build/buildd/digikam-3.5.0/core/digikam/main/main.cpp:235

Possible duplicates by query: bug 329135, bug 326689.

Reported using DrKonqi
Comment 1 Jekyll Wu 2014-05-01 00:07:23 UTC

*** This bug has been marked as a duplicate of bug 297558 ***
Comment 2 caulier.gilles 2019-12-23 06:21:56 UTC
Problem is fixed with new 7.0.0-beta1 through this long story from this bug

https://bugs.kde.org/show_bug.cgi?id=399923

You can test digiKam 7.0.0-beta1 with bundle available here:

https://download.kde.org/unstable/digikam/

Don't hesitate to give us a fresh feedback about his entry.

Thanks in advance

Gilles Caulier